import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * A background with a path drawn on it. Two different backgrounds are available.
 * 
 * @author mik
 * @version 1.0
 */
public class Ground  extends World
{

    /**
     * Create the field.
     */
    public Ground()
    {    
        super(800, 540, 1);
        addObject( new Killers(), 180, 450);
        prepare();
    }

    public void showMap1()
    {
        setBackground("ground.png");
    }

    public void showMap2()
    {
        setBackground("ground2.png");
    }

    /**
     * Prepare the world for the start of the program.
     * That is: create the initial objects and add them to the world.
     */
    private void prepare()
    {

        Victims victims8 = new Victims();
        addObject(victims8,156,261);
        Victims victims9 = new Victims();
        addObject(victims9,62,61);
        Victims victims10 = new Victims();
        addObject(victims10,38,369);
        Victims victims11 = new Victims();
        addObject(victims11,346,312);
        Victims victims12 = new Victims();
        addObject(victims12,262,347);
        Victims victims13 = new Victims();
        addObject(victims13,583,37);
        Victims victims14 = new Victims();
        addObject(victims14,689,62);
        Victims victims15 = new Victims();
        addObject(victims15,252,179);
        Victims victims16 = new Victims();
        addObject(victims16,517,475);
        Victims victims17 = new Victims();
        addObject(victims17,745,266);
        Victims victims18 = new Victims();
        addObject(victims18,651,383);
        Victims victims19 = new Victims();
        addObject(victims19,350,84);
    }
}
